Skip to main content
GET
/
connect
/
v1
/
connections
/
{connectionId}
/
health
Get connection health
curl --request GET \
  --url https://api.voyant.travel/connect/v1/connections/{connectionId}/health \
  --header 'Authorization: Bearer <token>'
{
  "connectionId": "<string>",
  "lastSyncAt": "2023-11-07T05:31:56Z",
  "staleSeconds": 123
}

Authorizations

Authorization
string
header
required

Provide either a static platform API key or an OAuth2 access token (from /connect/v1/oauth/token) as Authorization: Bearer <token>. Scopes are connect:* (e.g. connect:bookings:write).

Path Parameters

connectionId
string
required

Connection id.

Response

200 - application/json

Channel health.

connectionId
string
required
status
enum<string>
required
Available options:
healthy,
degraded,
down,
unknown
lastSyncAt
string<date-time> | null
staleSeconds
integer | null